Last Comment Bug 370077 - blockquote not rendered as an indented block
: blockquote not rendered as an indented block
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 1.5
: PowerPC Mac OS X
: -- normal with 2 votes (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
: 341664 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-11 10:36 PST by Klaus Karcher
Modified: 2012-03-27 16:03 PDT (History)
15 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1.17 KB, message/rfc822)
2007-02-11 10:37 PST, Klaus Karcher
no flags Details
Compose and MsgPane Rendering Comparison (45.61 KB, image/png)
2007-11-06 01:05 PST, jwq
no flags Details
Composition screenshot (49.97 KB, image/png)
2011-04-28 07:10 PDT, Olivier Salaun
no flags Details
Indented mail (2.41 KB, application/octet-stream)
2011-04-28 07:11 PDT, Olivier Salaun
no flags Details
Screenshot while reading indented mail (26.83 KB, image/png)
2011-04-28 07:11 PDT, Olivier Salaun
no flags Details
Fix (689 bytes, patch)
2012-02-29 11:01 PST, Richard Marti (:Paenglab)
mconley: review+
Details | Diff | Splinter Review
Fix addressing comment for check-in (713 bytes, patch)
2012-03-27 11:06 PDT, Richard Marti (:Paenglab)
richard.marti: review+
Details | Diff | Splinter Review

Description Klaus Karcher 2007-02-11 10:36:40 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; de; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1
Build Identifier: Version 1.5.0.9 (20061207)

Blockquote in HTML message is not displayed as indented block

Reproducible: Always

Steps to Reproduce:
Open the attached message file "blockquote.eml"
Actual Results:  
Three lines of text without indent will be shown.

Expected Results:  
The second line shold be displayed as indented block.
Comment 1 Klaus Karcher 2007-02-11 10:37:58 PST
Created attachment 254740 [details]
testcase
Comment 2 Magnus Melin 2007-02-12 10:40:28 PST
WFM onMozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2pre) Gecko/20070208 Thunderbird/2.0pre ID:2007020804
Comment 3 Klaus Karcher 2007-02-14 12:29:58 PST
added "padding-left: 1em;" to the blockquote-rule in /Applications/Thunderbird.app/Contents/MacOS/res/html.css (starting at line 75) which fixed it for me -- but I am not a developer.
Comment 4 jwq 2007-11-06 01:05:23 PST
Created attachment 287519 [details]
Compose and MsgPane Rendering Comparison

 I can confirm this bug in  2.0.0.6 (20070728) and in 3.0a1pre (2007081003) under Mac OS 10.4.9.

 The indented text (blockquote) is rendered as an indented block in the stand-alone compose window, but when the message is received the blockquote is not rendered as indented in the Message Pane or in a stand-alone window. Additionally, if the composed message is saved as a draft and viewed in the Message Pane it also renders incorrectly. The attachment shows the 2.0.0.6 rendering in the compose window (top) and the rendering of the saved draft in the Message Pane (bottom).

 This bug does not appear to affect Linux, another person other than Magnus couldn't reproduce this bug on Linux with 2.0.0.6.
Comment 5 jwq 2007-11-06 01:13:31 PST
*** Bug 341664 has been marked as a duplicate of this bug. ***
Comment 6 Magnus Melin 2007-11-06 09:59:39 PST
Is this mac specific? The testcase shows the second line indented (as it should) for me, on linux trunk.
Comment 7 Magnus Melin 2007-11-06 10:00:55 PST
Ah, should read all of the comments before I comment;)
Comment 8 Andrew Medico 2007-11-21 17:16:51 PST
I also see this in 2.0.0.9 (20071031) on 10.4.11. It's mostly a problem for RSS feeds, which tend to use blockquote extensively.
Comment 9 Olivier Salaun 2011-04-28 07:09:35 PDT
I also have this issue with Thunderbird/3.1.9 on MacOS X 10.6

That's very annoying because blockquote HTML elements are created while using the "indent right" button in the HTML mail composition window. In the end multipart/alternative mails are badly interpreted by thunderbird himself.

Attached are:
  - a sample multipart/alternative email
  - a snapshot of the composition window
  - a snapshot of what it looks like when viewed in thunderbird
Comment 10 Olivier Salaun 2011-04-28 07:10:36 PDT
Created attachment 528843 [details]
Composition screenshot
Comment 11 Olivier Salaun 2011-04-28 07:11:16 PDT
Created attachment 528844 [details]
Indented mail
Comment 12 Olivier Salaun 2011-04-28 07:11:53 PDT
Created attachment 528845 [details]
Screenshot while reading indented mail
Comment 13 Chris 2012-02-04 12:07:53 PST
This bug still persists, even with Thunderbird 10, which I am running under MacOS X 10.6. 

As reported above, a blockquote or indention does not get rendered in OS X, while this works properly with the Windows version.
Comment 14 Magnus Melin 2012-02-05 04:05:41 PST
Someone on mac should probably look at this. Msg body seems to lack blockquote[type=cite] rules (adding padding).

msg body: http://mxr.mozilla.org/comm-central/source/mail/themes/pinstripe/mail/messageBody.css#68

composition: http://mxr.mozilla.org/comm-central/source/mail/themes/pinstripe/mail/compose/messengercompose.css#998
Comment 15 Ludovic Hirlimann [:Usul] 2012-02-29 02:08:51 PST
Richard , Andreas can one of you look into this ?
Comment 16 Richard Marti (:Paenglab) 2012-02-29 11:01:57 PST
Created attachment 601673 [details] [diff] [review]
Fix

The OSX version used margin: inherit for blockquotes which removed the indentation. I copied the version from Windows to still make the correct margins for cited text.
Comment 17 Chris 2012-03-16 15:45:08 PDT
I just updated to Thunderbird 11 on OSX and, unfortunately, it still does not render correctly.

Richard, can you merge your fix into the development branch? Or, have you already done so? To be honest, I am not familiar with software development and I am not sure if you provided a workaround or a definitive fix. 

Thanks, 
Chris
Comment 18 Richard Marti (:Paenglab) 2012-03-17 00:04:32 PDT
(In reply to Chris from comment #17)
> I just updated to Thunderbird 11 on OSX and, unfortunately, it still does
> not render correctly.
> 
> Richard, can you merge your fix into the development branch? Or, have you
> already done so? To be honest, I am not familiar with software development
> and I am not sure if you provided a workaround or a definitive fix. 

The patch is awaiting the review. If it is accepted the patch lands in trunk (now TB 14). Then I can ask for approval for TB 12 and 13. If this all happens then TB 12 would have the fix.

As a workaround, not tested but you can try to put this in userContent.css:

.moz-text-flowed blockquote,
.moz-text-plain blockquote {
  margin: inherit !important;
}

If you don't know what's userContent.css, read this: <https://developer.mozilla.org/en/Thunderbird/Thunderbird_Configuration_Files>
Comment 19 Mike Conley (:mconley) 2012-03-27 10:22:15 PDT
Comment on attachment 601673 [details] [diff] [review]
Fix

Yoinks, stealing this review request.
Comment 20 Mike Conley (:mconley) 2012-03-27 10:40:49 PDT
Comment on attachment 601673 [details] [diff] [review]
Fix

Review of attachment 601673 [details] [diff] [review]:
-----------------------------------------------------------------

r=me if we set margin: 0;.

::: mail/themes/pinstripe/mail/messageBody.css
@@ +70,1 @@
>    margin: inherit;

I think we should set margin: 0;, to be consistent with gnomestripe and qute.

Modulo that, it seems to fix the issue, so r=me.
Comment 21 Richard Marti (:Paenglab) 2012-03-27 11:06:50 PDT
Created attachment 609792 [details] [diff] [review]
Fix addressing comment for check-in

Yeah, it makes sense to give margin: 0; for consistency with the other themes.

Carrying over r+ from previous patch
Comment 22 Ryan VanderMeulen [:RyanVM] 2012-03-27 16:03:45 PDT
http://hg.mozilla.org/comm-central/rev/d2cd202d83ec

Note You need to log in before you can comment on or make changes to this bug.